Package be.ehealth.businessconnector.therlink.domain

# Class OperationContext

java.lang.Object
be.ehealth.businessconnector.therlink.domain.OperationContext

All Implemented Interfaces:
  `Serializable`

public class OperationContext extends Object implements Serializable
OperationContext.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `OperationContext.Builder`
  Builder for OperationContext

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OperationContext()`
  `OperationContext(Instant recordDate, String operation, Author author, List<Proof> proofs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `Author`
  `getAuthor()`
  `String`
  `getOperation()`
  `List<Proof>`
  `getProofs()`
  `Instant`
  `getRecordDateTime()`
  `int`
  `hashCode()`
  `void`
  `setAuthor(Author author)`
  `void`
  `setOperation(String operation)`
  `void`
  `setProofs(List<Proof> proofs)`
  `void`
  `setRecordDateTime(Instant recordDate)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OperationContext

    public OperationContext(Instant recordDate, String operation, Author author, List<Proof> proofs)
    Parameters:
      `recordDate` -
      `operation` -
      `author` -
      `proofs` -

  - ### OperationContext

    public OperationContext()

- ## Method Details

  - ### getOperation

    public String getOperation()
    Returns:
      the operation

  - ### setOperation

    public void setOperation(String operation)
    Parameters:
      `operation` - the operation to set

  - ### getRecordDateTime

    public Instant getRecordDateTime()
    Returns:
      the recordDate

  - ### setRecordDateTime

    public void setRecordDateTime(Instant recordDate)
    Parameters:
      `recordDate` - the recordDate to set

  - ### getAuthor

    public Author getAuthor()
    Returns:
      the author

  - ### setAuthor

    public void setAuthor(Author author)
    Parameters:
      `author` - the author to set

  - ### getProofs

    public List<Proof> getProofs()
    Returns:
      the proofs

  - ### setProofs

    public void setProofs(List<Proof> proofs)
    Parameters:
      `proofs` - the proofs to set

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`